CVE-2015-6581

NameCVE-2015-6581
DescriptionDouble free vulnerability in the opj_j2k_copy_default_tcp_and_create_tcd function in j2k.c in OpenJPEG before r3002, as used in PDFium in Google Chrome before 45.0.2454.85, allows remote attackers to execute arbitrary code or cause a denial of service (heap memory corruption) by triggering a memory-allocation failure.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-3665-1
NVD severityhigh (attack range: remote)
Debian Bugs800453

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
chromium-browser (PTS)wheezy, wheezy (security)37.0.2062.120-1~deb7u1vulnerable
jessie (security), jessie57.0.2987.98-1~deb8u1fixed
stretch62.0.3202.89-1~deb9u1fixed
stretch (security)63.0.3239.84-1~deb9u1fixed
buster62.0.3202.89-1fixed
sid63.0.3239.84-1fixed
openjpeg (PTS)wheezy, wheezy (security)1.3+dfsg-4.8fixed
jessie1:1.5.2-3fixed
openjpeg2 (PTS)jessie (security), jessie2.1.0-2+deb8u3fixed
stretch (security), stretch2.1.2-1.1+deb9u2fixed
buster, sid2.3.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
chromium-browsersource(unstable)45.0.2454.85-1high
chromium-browsersourcejessie45.0.2454.85-1~deb8u1high
chromium-browsersourcesqueeze(unfixed)end-of-life
chromium-browsersourcewheezy(unfixed)end-of-life
openjpegsource(unstable)(not affected)
openjpeg2source(unstable)2.1.1-1high800453
openjpeg2sourcejessie2.1.0-2+deb8u1highDSA-3665-1

Notes

- openjpeg <not-affected> (Vulnerable code not present, function opj_j2k_copy_default_tcp_and_create_tcd)
Openjpeg2 fix: https://github.com/uclouvain/openjpeg/commit/0fa5a17c98c4b8f9ee2286f4f0a50cf52a5fccb0

Search for package or bug name: Reporting problems